org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class SumTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.SumTest

- Direct Known Subclasses:
    SumTest.Traversals

      public abstract class SumTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SumTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()`
    `void` | `g_V_valuesXageX_sum()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_valuesXageX_sum()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumTest

          public SumTest()

  - ### Method Detail

    - #### get_g_V_valuesXageX_sum

          public abstract Traversal<Vertex,Double> get_g_V_valuesXageX_sum()

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()

    - #### g_V_valuesXageX_sum

          public void g_V_valuesXageX_sum()

    - #### g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX

          public void g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.